<template>
  <div>
    <v-row>
      <v-col cols="12">
        <v-breadcrumbs :items="items" class="grey lighten-4" large>
          <template v-slot:item="props">
            <v-breadcrumbs-item
              @click="open_breadcum(props.item.href)"
              :class="{
                'breadcums-disabled': props.item.disabled,
                'breadcums-enabled': !props.item.disabled,
              }"
            >
              <v-icon v-show="props.item.icon" left>{{
                props.item.icon
              }}</v-icon>
              {{ breadcumText(props.item.text) }}
            </v-breadcrumbs-item>
          </template>
          <template v-slot:divider>
            <v-icon>mdi-forward</v-icon>
          </template>
        </v-breadcrumbs>
      </v-col>
    </v-row>
    <v-row class="pl-6 pr-6">
      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="blue"
          @click="padma"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="243"
                  max-height="128"
                  src="../assets/madrasahs/logo_padma.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">PADMA</span
                ><br />
                <span class="text-subtitle-2">MAN 1 Jembrana</span>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          to="/prisma/postman"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="128"
                  max-height="128"
                  src="../assets/madrasahs/logo_postman.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">POSTMAN</span
                ><br />
                <span class="text-subtitle-2">MAN Karangasem</span>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="purple"
          to="/prisma/silma"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="327"
                  max-height="128"
                  src="../assets/madrasahs/logo_silma.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">SILMA</span
                ><br />
                <span class="text-subtitle-2">MAN Buleleng</span>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="teal"
          to="/prisma/sioma"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="390"
                  max-height="128"
                  src="../assets/madrasahs/logo_sioma.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">SIOMA</span
                ><br />
                <span class="text-subtitle-2">MAN 2 Jembrana</span>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="red"
          to="/prisma/siloma"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="326"
                  max-height="128"
                  src="../assets/madrasahs/logo_siloma.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">SILOMA</span
                ><br />
                <span class="text-subtitle-2">MAN 3 Jembrana</span>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  name: "prisma",
  components: {},
  data: () => ({
    height: 200,
    items: [
      {
        text: "Home",
        disabled: false,
        href: "home",
        icon: "mdi-home",
      },
      {
        text: "Layanan Prisma",
        disabled: true,
        href: "prisma",
      },
    ],
  }),
  computed: {},
  mounted() {
    this.$store.dispatch("constant/set_title", "Layanan PRISMA");
  },
  methods: {
    open_breadcum() {
      this.$router.back();
    },
    padma() {
      //this.$store.dispatch("constant/set_title", "PADMA");
      //this.$router.push(`/prisma/padma`);
      const url = `https://sites.google.com/madrasah.kemenag.go.id/padma/`
      window.open(url)
    },
    postman() {
      this.$store.dispatch("constant/set_title", "POSTMAN");
      this.$router.push(`/prisma/postman`);
    },
    silma() {
      this.$store.dispatch("constant/set_title", "SILMA");
      this.$router.push(`/prisma/silma`);
    },
    siloma() {
      this.$store.dispatch("constant/set_title", "SILOMA");
      this.$router.push(`/prisma/siloma`);
    },
  },
};
</script>

<style scoped>
</style>
